dep:
  - v_listes_1
src: |
  SELECT v_listes_1.liste_id_combo AS oid,
      v_listes_1.texte,
      ''::text AS code,
      v_listes_1.lvl AS level,
      ('0'::text || v_listes_1.sort) || chr(1) AS tri
     FROM compta.v_listes_1
    WHERE v_listes_1.table_code = 'TYP'::text AND v_listes_1.lvl <> '0'::text
  UNION ALL
   SELECT 'TY'::text || t_types_compta.oid::text AS oid,
      (t_types_compta.code::text || ' '::text) || t_types_compta.texte::text AS texte,
      t_types_compta.code,
      '1'::text AS level,
      '9'::text || t_types_compta.code::text AS tri
     FROM compta.t_types_compta
    WHERE (t_types_compta.oid IN ( SELECT p_oids.oid
             FROM compta.p_oids
            WHERE p_oids.code_table::text = 'types_compta_extra_c'::text))
    ORDER BY 5;